## akonadi-contacts 20.08.2

=== debian/changelog ===
akonadi-contacts (4:20.08.2-3) unstable; urgency=medium

  * Team upload.
  * Unregister the old /etc/xdg/contact-editor.categories conffile.
  * Minimize the upstream GPG signing key.
  * Mark also libkf5contacteditor-dev as Multi-Arch: same.

 -- Pino Toscano <pino@debian.org>  Wed, 28 Oct 2020 10:29:25 +0100

akonadi-contacts (4:20.08.2-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Tue, 20 Oct 2020 00:07:56 +0200

akonadi-contacts (4:20.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Update repository related entries to metadata file.

 -- Sandro Knauß <hefee@debian.org>  Fri, 16 Oct 2020 00:52:37 +0200

akonadi-contacts (4:20.04.1-2) unstable; urgency=medium

  * Team upload.
  * Explicitly add the gettext build dependency.
  * Unregister the old /etc/xdg/akonadi-contacts.categories, and
    /etc/xdg/akonadi-contacts.renamecategories conffiles.

 -- Pino Toscano <pino@debian.org>  Fri, 28 Aug 2020 10:32:33 +0200

akonadi-contacts (4:20.04.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.04.1).
  * Update build-deps and deps with the info from cmake.
  * Remove not needed Build-Depends.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:59:51 +0200

akonadi-contacts (4:20.04.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Update watch file to the new release-service location.
  * Bump compat level to 13.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Add Rules-Requires-Root field to control.
  * New upstream release (19.12.3).
  * Update build-deps and deps with the info from cmake.
  * Switch to dh for building.
  * Cleanup Build-Depends.
  * New upstream release (20.04.0).
  * Remove not needed linker flags.
  * Trim trailing whitespace.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Wed, 13 May 2020 12:22:07 +0200
