=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
            Eshat Cakar <info@eshat.de>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
-           Sandro Knauß <hefee@debian.org>,
+           Sandro Knauß <hefee@debian.org>
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.71.0~),
                gettext,
-               libkf5akonadi-dev (>= 4:20.08.2~),
+               libkf5akonadi-dev (>= 4:20.08.3~),
                libkf5codecs-dev (>= 5.71.0~),
                libkf5completion-dev (>= 5.71.0~),
                libkf5config-dev (>= 5.71.0~),
@@ -21,7 +21,7 @@
                libkf5i18n-dev (>= 5.71.0~),
                libkf5iconthemes-dev (>= 5.71.0~),
                libkf5kio-dev (>= 5.71.0~),
-               libkf5mime-dev (>= 20.08.2~),
+               libkf5mime-dev (>= 20.08.3~),
                libkf5prison-dev (>= 5.71.0~),
                libkf5service-dev (>= 5.71.0~),
                libkf5textwidgets-dev (>= 5.71.0~),
@@ -31,8 +31,8 @@
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.13.0~),
                xauth,
-               xvfb,
-Standards-Version: 4.5.0
+               xvfb
+Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/pim/akonadi-contacts
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-contacts
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-contacts.git
@@ -55,18 +55,18 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:20.08.2~),
+Depends: libkf5akonadi-dev (>= 4:20.08.3~),
          libkf5akonadicontact5 (= ${binary:Version}),
          libkf5config-dev (>= 5.71.0~),
          libkf5contacteditor-dev (= ${binary:Version}),
          libkf5contacts-dev (>= 5:5.71.0~),
          libkf5i18n-dev (>= 5.71.0~),
          libkf5iconthemes-dev (>= 5.71.0~),
-         libkf5mime-dev (>= 20.08.2~),
+         libkf5mime-dev (>= 20.08.3~),
          libkf5prison-dev (>= 5.71.0~),
          libkf5textwidgets-dev (>= 5.71.0~),
          libkf5xmlgui-dev (>= 5.71.0~),
-         ${misc:Depends},
+         ${misc:Depends}
 Description: Akonadi contacts access library - development files
  This library provides contacts manipulation helpers using the
  Akonadi PIM data server.
@@ -80,7 +80,7 @@
 Multi-Arch: same
 Depends: akonadi-contacts-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Description: Akonadi contacts access library
  This library provides contacts manipulation helpers using the
  Akonadi PIM data server.
@@ -98,12 +98,12 @@
          libkf5contacteditor5 (= ${binary:Version}),
          libkf5i18n-dev (>= 5.71.0~),
          libkf5iconthemes-dev (>= 5.71.0~),
-         libkf5mime-dev (>= 20.08.2~),
+         libkf5mime-dev (>= 20.08.3~),
          libkf5service-dev (>= 5.71.0~),
          libkf5textwidgets-dev (>= 5.71.0~),
          libkf5widgetsaddons-dev (>= 5.71.0~),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Description: Akonadi contacts editor library - development files
  This library provides contact editor using the Akonadi PIM data server.
  .
@@ -116,7 +116,7 @@
 Multi-Arch: same
 Depends: akonadi-contacts-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Description: Akonadi contact editor library
  This library provides contact editor using the Akonadi PIM data server.
  .
